<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Title</title>
  <script>
    let count = 0

    const buttonIncrease = document.createElement('button')
    const buttonDecrease = document.createElement('button')
    const buttonReset    = document.createElement('button')
    const labelCounter   = document.createElement('label')
    const components = [buttonIncrease, buttonDecrease, buttonReset, labelCounter]

    buttonIncrease.innerHTML = "increase"
    buttonDecrease.innerHTML = "decrease"
    buttonReset   .innerHTML = "reset"
    labelCounter  .innerHTML = count.toString()

    buttonIncrease.onclick = () => { count += 1; labelCounter.innerHTML = count.toString() }
    buttonDecrease.onclick = () => { count -= 1; labelCounter.innerHTML = count.toString() }
    buttonReset   .onclick = () => { count  = 0; labelCounter.innerHTML = count.toString() }

    const onload = () => document.body.append(...components)
  </script>
</head>
<body onload="onload()">
</body>
</html>
